diff -Naur initscripts-6.95.orig/Makefile initscripts-6.95/Makefile
--- initscripts-6.95.orig/Makefile	Wed Jul 30 15:16:37 2003
+++ initscripts-6.95/Makefile	Wed Jul 30 15:17:35 2003
@@ -10,14 +10,14 @@
 
 all:
 	make -C src
-	make -C po
+	#make -C po
 
 install:
 	mkdir -p $(ROOT)/etc/profile.d $(ROOT)/sbin $(ROOT)/usr/sbin
 	mkdir -p $(ROOT)$(mandir)/man8
 
 	install -m644  inittab adjtime $(ROOT)/etc
-	if uname -m | grep -q s390 ; then \
+	if uname -m | grep s390 ; then \
 	  install -m644 inittab.s390 $(ROOT)/etc/inittab ; \
 	fi
 	install -m755  service setsysfont $(ROOT)/sbin
@@ -25,11 +25,11 @@
 	install -m755  sys-unconfig $(ROOT)/usr/sbin
 	install -m644  sys-unconfig.8 $(ROOT)$(mandir)/man8
 	install -m644 sysctl.conf $(ROOT)/etc/sysctl.conf
-	if uname -m | grep -q sparc ; then \
+	if uname -m | grep sparc ; then \
 	  install -m644 sysctl.conf.sparc $(ROOT)/etc/sysctl.conf ; fi
-	if uname -m | grep -q s390 ; then \
+	if uname -m | grep s390 ; then \
 	  install -m644 sysctl.conf.s390 $(ROOT)/etc/sysctl.conf ; fi
-	if uname -m | grep -q ppc ; then \
+	if uname -m | grep ppc ; then \
 	  install -m644 sysctl.conf.ppc $(ROOT)/etc/sysctl.conf ; fi
 
 	mkdir -p $(ROOT)/etc/X11
@@ -44,7 +44,7 @@
 	ln -s ../networking/ifcfg-lo \
 	        $(ROOT)/etc/sysconfig/network-scripts/ifcfg-lo
 	mkdir -p $(ROOT)/etc/sysconfig/console
-	if uname -m | grep -q s390 ; then \
+	if uname -m | grep s390 ; then \
 	  install -m644 sysconfig/init.s390 $(ROOT)/etc/sysconfig/init ; \
 	fi
 
@@ -88,12 +88,15 @@
 	ln -s ../rc.local $(ROOT)/etc/rc.d/rc4.d/S99local
 	ln -s ../rc.local $(ROOT)/etc/rc.d/rc5.d/S99local
 
+	ln -s ../init.d/xinetd $(ROOT)/etc/rc.d/rc3.d/S56xinetd
+	ln -s ../init.d/syslog $(ROOT)/etc/rc.d/rc3.d/S12syslog
+
 # These are LSB compatibility symlinks.  At some point in the future
 # the actual files will be here instead of symlinks
 	for i in 0 1 2 3 4 5 6 ; do \
 		ln -s rc.d/rc$$i.d $(ROOT)/etc/rc$$i.d; \
 	done
-	for i in rc rc.sysinit rc.local ; do \
+	for i in init.d rc rc.sysinit rc.local ; do \
 		ln -s rc.d/$$i $(ROOT)/etc/$$i; \
 	done
 
diff -Naur initscripts-6.95.orig/inittab initscripts-6.95/inittab
--- initscripts-6.95.orig/inittab	Sat Jul 15 19:06:55 2000
+++ initscripts-6.95/inittab	Wed Jul 30 15:17:35 2003
@@ -29,7 +29,7 @@
 l6:6:wait:/etc/rc.d/rc 6
 
 # Things to run in every runlevel.
-ud::once:/sbin/update
+#ud::once:/sbin/update
 
 # Trap CTRL-ALT-DELETE
 ca::ctrlaltdel:/sbin/shutdown -t3 -r now
@@ -45,13 +45,4 @@
 
 
 # Run gettys in standard runlevels
-1:2345:respawn:/sbin/mingetty tty1
-2:2345:respawn:/sbin/mingetty tty2
-3:2345:respawn:/sbin/mingetty tty3
-4:2345:respawn:/sbin/mingetty tty4
-5:2345:respawn:/sbin/mingetty tty5
-6:2345:respawn:/sbin/mingetty tty6
-
-# Run xdm in runlevel 5
-# xdm is now a separate service
-x:5:respawn:/etc/X11/prefdm -nodaemon
+3:2345:respawn:/sbin/mingetty --noclear console
diff -Naur initscripts-6.95.orig/po/Makefile initscripts-6.95/po/Makefile
--- initscripts-6.95.orig/po/Makefile	Wed Aug 15 22:48:31 2001
+++ initscripts-6.95/po/Makefile	Wed Jul 30 15:17:35 2003
@@ -10,7 +10,7 @@
 CATALOGS = $(shell ls *.po)
 FMTCATALOGS = $(patsubst %.po,%.mo,$(CATALOGS))
 
-POTFILES = /etc/rc.d/init.d/* /etc/rc.d/rc.* $(shell ls /etc/sysconfig/network-scripts/* | grep -v ifcfg-)
+POTFILES = $(ROOT)/etc/rc.d/init.d/* $(ROOT)/etc/rc.d/rc.* $(shell ls $(ROOT)/etc/sysconfig/network-scripts/* | grep -v ifcfg-)
 
 all: $(NLSPACKAGE).pot $(FMTCATALOGS)
 
diff -Naur initscripts-6.95.orig/rc.d/init.d/network initscripts-6.95/rc.d/init.d/network
--- initscripts-6.95.orig/rc.d/init.d/network	Wed Jul 10 10:26:06 2002
+++ initscripts-6.95/rc.d/init.d/network	Wed Jul 30 15:17:35 2003
@@ -67,6 +67,9 @@
 
 	# bring up loopback interface
	action $"Bringing up loopback interface: " ./ifup ifcfg-lo
+	if ! grep localhost /etc/hosts >& /dev/null ; then
+		echo "127.0.0.1		localhost" >> /etc/hosts
+	fi
 
 	case "$IPX" in
 	  yes|true)
diff -Naur initscripts-6.95.orig/rc.d/rc.sysinit initscripts-6.95/rc.d/rc.sysinit
--- initscripts-6.95.orig/rc.d/rc.sysinit	Wed Jul 30 15:16:37 2003
+++ initscripts-6.95/rc.d/rc.sysinit	Wed Jul 30 15:17:35 2003
@@ -17,7 +17,8 @@
 if [ -f /etc/sysconfig/network ]; then
     . /etc/sysconfig/network
 else
-    NETWORKING=no
+    NETWORKING=yes
+    echo "NETWORKING=yes" > /etc/sysconfig/network
 fi
 if [ -z "$HOSTNAME" -o "$HOSTNAME" = "(none)" ]; then
     HOSTNAME=localhost
@@ -27,22 +28,20 @@
 
 # Print a banner. ;)
 echo -en $"\t\tWelcome to "
-if grep -q "Yellow Dog" /etc/yellowdog-release ; then 
- [ "$BOOTUP" = "color" ] && echo -en $"\\033[01;33m"
- echo -en "Yellow Dog"
- [ "$BOOTUP" = "color" ] && echo -en $"\\033[0;39m"
- PRODUCT=`sed "s/Yellow Dog \(.*\) release.*/\1/" /etc/yellowdog-release`
- echo " $PRODUCT"
-else
- PRODUCT=`sed "s/ release.*//g" /etc/yellowdog-release`
- echo "$PRODUCT"
-fi
+[ "$BOOTUP" = "color" ] && echo -en $"\\033[01;33m"
+echo -en $"DENX Embedded"
+[ "$BOOTUP" = "color" ] && echo -en $"\\033[0;39m"
+echo $" Linux Environment"
 if [ "$PROMPT" != "no" ]; then
  echo -en $"\t\tPress 'I' to enter interactive startup."
  echo
  sleep 1
 fi
 
+
+# Rebuild the cache
+action $"Building the cache" /sbin/ldconfig -X
+
 # Fix console loglevel
 /bin/dmesg -n $LOGLEVEL
 
@@ -150,6 +149,12 @@
  fi
 fi
 
+# Create /etc/fstab.
+if [ ! -e /etc/fstab ]; then
+  echo "/dev/nfs                /               nfs     defaults        0 0" > /etc/fstab
+  echo "none                    /proc           proc    defaults        0 0" >> /etc/fstab
+fi
+
 # Set the hostname.
 action $"Setting hostname ${HOSTNAME}: " hostname ${HOSTNAME}
 
@@ -188,53 +193,56 @@
 	fastboot=yes
 fi
 
-if [ -f /fsckoptions ]; then
-	fsckoptions=`cat /fsckoptions`
-fi
-
-if [ -f /forcefsck ]; then
-	fsckoptions="-f $fsckoptions"
-elif [ -f /.autofsck ]; then
-	echo $"Your system appears to have shut down uncleanly"
-	AUTOFSCK_TIMEOUT=5
-	[ -f /etc/sysconfig/autofsck ] && . /etc/sysconfig/autofsck
-	if [ "$AUTOFSCK_DEF_CHECK" = "yes" ]; then
-		AUTOFSCK_OPT=-f
+_RUN_QUOTACHECK=0
+ROOTFSTYPE=`grep "/dev/root / " /proc/mounts | awk '{ print $3 }'`
+if [ -z "$fastboot" -a "$ROOTFSTYPE" != "nfs" ]; then
+	if [ -f /fsckoptions ]; then
+		fsckoptions=`cat /fsckoptions`
+	else
+		fsckoptions=
 	fi
 
-	if [ "$PROMPT" != "no" ]; then
+	if [ -f /forcefsck ]; then
+		fsckoptions="-f $fsckoptions"
+	elif [ -f /.autofsck ]; then
+		echo $"Your system appears to have shut down uncleanly"
+		AUTOFSCK_TIMEOUT=5
+		AUTOFSCK_DEF_CHECK=no
+		[ -f /etc/sysconfig/autofsck ] && . /etc/sysconfig/autofsck
 		if [ "$AUTOFSCK_DEF_CHECK" = "yes" ]; then
-			if /sbin/getkey -c $AUTOFSCK_TIMEOUT -m $"Press N within %d seconds to not force file system integrity check..." n ; then
-				AUTOFSCK_OPT=
-			fi
+			AUTOFSCK_OPT=-f
 		else
-			if /sbin/getkey -c $AUTOFSCK_TIMEOUT -m $"Press Y within %d seconds to force file system integrity check..." y ; then
-				AUTOFSCK_OPT=-f
-			fi
+			AUTOFSCK_OPT=
 		fi
-		echo
-	else
-		# PROMPT not allowed
-		if [ "$AUTOFSCK_DEF_CHECK" = "yes" ]; then
-			echo $"Forcing file system integrity check due to default setting"
+
+		if [ "$PROMPT" != "no" ]; then
+			if [ "$AUTOFSCK_DEF_CHECK" = "yes" ]; then
+				if /sbin/getkey -c $AUTOFSCK_TIMEOUT -m $"Press N within %d seconds to not force file system integrity check..." n ; then
+					AUTOFSCK_OPT=
+				fi
+			else
+				if /sbin/getkey -c $AUTOFSCK_TIMEOUT -m $"Press Y within %d seconds to force file system integrity check..." y ; then
+					AUTOFSCK_OPT=-f
+				fi
+			fi
+			echo
 		else
-			echo $"Not forcing file system integrity check due to default setting"
+			# PROMPT not allowed
+			if [ "$AUTOFSCK_DEF_CHECK" = "yes" ]; then
+				echo $"Forcing file system integrity check due to default setting"
+			else
+				echo $"Not forcing file system integrity check due to default setting"
+			fi
 		fi
+		fsckoptions="$AUTOFSCK_OPT $fsckoptions"
 	fi
-	fsckoptions="$AUTOFSCK_OPT $fsckoptions"
-fi
 
-if [ "$BOOTUP" = "color" ]; then
-	fsckoptions="-C $fsckoptions"
-else
-	fsckoptions="-V $fsckoptions"
-fi
+	if [ "$BOOTUP" = "color" ]; then
+		fsckoptions="-C $fsckoptions"
+	else
+		fsckoptions="-V $fsckoptions"
+	fi
  
-
-_RUN_QUOTACHECK=0
-ROOTFSTYPE=`awk '/ \/ / { print $3 }' /proc/mounts`
-if [ -z "$fastboot" -a "X$ROOTFSTYPE" != "Xnfs" ]; then 
-
         STRING=$"Checking root filesystem"
 	echo $STRING
 	initlog -c "fsck -T -a $fsckoptions /"
@@ -304,9 +312,9 @@
 fi
 
 # Remount the root filesystem read-write.
-state=`awk '/(^\/dev\/root| \/ )/ { print $4 }' /proc/mounts`
-[ "$state" != "rw" ] && \
-  action $"Remounting root filesystem in read-write mode: " mount -n -o remount,rw /
+#state=`awk '/(^\/dev\/root| \/ )/ { print $4 }' /proc/mounts`
+#[ "$state" != "rw" ] && \
+#  action $"Remounting root filesystem in read-write mode: " mount -n -o remount,rw /
 
 # LVM initialization
 if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
@@ -356,9 +364,9 @@
        fi
     fi
     if [ -L /lib/modules/default ]; then
-    	INITLOG_ARGS= action $"Finding module dependencies: " depmod -A default
+    	INITLOG_ARGS= action $"Finding module dependencies: " depmod -Ar default
     else
-	INITLOG_ARGS= action $"Finding module dependencies: " depmod -A
+	INITLOG_ARGS= action $"Finding module dependencies: " depmod -Ar
     fi
 fi
 
diff -Naur initscripts-6.95.orig/src/Makefile initscripts-6.95/src/Makefile
--- initscripts-6.95.orig/src/Makefile	Wed Jul 10 10:26:06 2002
+++ initscripts-6.95/src/Makefile	Wed Jul 30 15:17:35 2003
@@ -35,7 +35,7 @@
 	install -m 644 consoletype.1 $(ROOT)$(mandir)/man1
 	install -m 644 initlog.conf $(ROOT)/etc
 	install -m 755 mkkerneldoth $(ROOT)/sbin
-	if uname -m | grep -q s390 ; then \
+	if uname -m | grep s390 ; then \
 	  install -m 755 mkkerneldoth.s390 $(ROOT)/sbin/mkkerneldoth ; \
 	fi
 
